Subject: Re: [PATCH] Attempt to make git-checkout man page a bit more clear.

From: Jakub Narebski <[email-masked]>
Date: Thu, 21 Dec 2006 10:34:07 +0100

Sean wrote:

> On Wed, 20 Dec 2006 23:47:42 -0800
> Junio C Hamano <[email-masked]> wrote:
> 
>> The 'restore from arbitrary tree-ish' form does not take -m as
>> far as I know.
>> 
>> Although it might be interesting to do a single-file three-way
>> merge, I do not think the command is _checkout_ anymore once it
>> starts doing that.
> 
> Yeah, I should have caught that.  As well, your explanation makes me
> wonder if it makes sense to change <branch> in the third form to
> <tree-ish> ?  Would you like an updated patch or will you just make
> the touch up(s) yourself?

Better not, because if I remember correctly

  $ git checkout [--] <paths>...

would replace the contents of the named paths in your
working tree from the index, while

  $ git checkout <commit-ish> [--] <paths>...

would replace the contents of the named paths in your
working tree from the given commit (given branch, perhaps given
tree-ish).
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git